Package com.destroystokyo.paper.exception

# Class ServerTabCompleteException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.destroystokyo.paper.exception.ServerException
com.destroystokyo.paper.exception.ServerCommandException
com.destroystokyo.paper.exception.ServerTabCompleteException

All Implemented Interfaces:
  `Serializable`

public class ServerTabCompleteException extends ServerCommandException
Called when a tab-complete request throws an exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ServerTabCompleteException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, Command command, CommandSender commandSender, String[] arguments)`
``
`ServerTabCompleteException(String message, Throwable cause, Command command, CommandSender commandSender, String[] arguments)`
``
`ServerTabCompleteException(Throwable cause, Command command, CommandSender commandSender, String[] arguments)`

## Method Summary

### Methods inherited from class com.destroystokyo.paper.exception.ServerCommandException

`getArguments, getCommand, getCommandSender`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ServerTabCompleteException

public ServerTabCompleteException(String message, Throwable cause, Command command, CommandSender commandSender, String[] arguments)

### ServerTabCompleteException

public ServerTabCompleteException(Throwable cause, Command command, CommandSender commandSender, String[] arguments)

### ServerTabCompleteException

protected ServerTabCompleteException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, Command command, CommandSender commandSender, String[] arguments)